Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.preferences
Interface IScopeContext

All Known Implementing Classes:
  org.eclipse.core.internal.preferences.AbstractScope, ProjectScope

public interface IScopeContext

Clients implement this interface to provide context to a particular scope. Instances of implementions of this interface are passed to the `IPreferencesService` for use in preference searching.

Clients may implement this interface.

Since:
  3.0
See Also:
  `IPreferencesService`

Method Summary
`IPath` | `getLocation()` Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.
`String` | `getName()` Return the name of the scope that this context is associated with.
`IEclipsePreferences` | `getNode(String qualifier)` Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined.

Method Detail

### getName

    public String getName()

  Return the name of the scope that this context is associated with. Must not be `null`.

  Returns:
    the name of the scope

### getNode

    public IEclipsePreferences getNode(String qualifier)

  Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined. The given qualifier must not be `null` but may be a path to a subnode within the scope.

  An example of a qualifier in Eclipse 2.1 would be the plug-in identifier that the preference is associated with (e.g. the "org.eclipse.core.resources" plug-in defines the "description.autobuild" preference).

  This method can be used to determine the appropriate preferences node to aid in setting key/value pairs. For instance: `new InstanceScope().getNode("org.eclipse.core.resources");` returns the preference node in the instance scope where the preferences for "org.eclipse.core.resources" are stored.

  Parameters:
    `qualifier` - a qualifier for the preference name
  Returns:
    the node containing the plug-in preferences or `null`
  See Also:
    `IPreferencesService`

### getLocation

    public IPath getLocation()

  Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.

  Implementors may return `null` if the location is not known, is unavailable, or is unapplicable to this scope.

  Returns:
    a writable location in the filesystem or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.